Bug 831246 - "Add a New Printer" dialog hangs
"Add a New Printer" dialog hangs
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 10:47 EDT by Braden McDaniel
Modified: 2012-08-23 01:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-23 01:26:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Braden McDaniel 2012-06-12 10:47:07 EDT
Description of problem:
When clicking on the "Add" button to add a network printer (Lexmark E240n), the button stays depressed and the dialog simply hangs (rather than dismissing).

Version-Release number of selected component (if applicable):
3.4.2-1.fc17

How reproducible:
Consistently.

Steps to Reproduce:
1. Add Lexmark E240n printer to network.
2. In "Printers", click "Add New Printer".
3. Select "Network" in the left pane.
4. Check "Search by Address".
5. Enter the printer's host name in the "Address" box and wait a few seconds for the printer to show up in the list above the box.
6. Once the printer shows up in the list, select it and then click the "Add" button to dismiss the dialog.
  
Actual results:
The dialog is not dismissed when clicking the "Add" button and the printer is not added.

Expected results:
The dialog is dismissed and the printer has been added.

Additional info:
I had no trouble adding this printer in previous Fedora releases.  This problem is new in Fedora 17.
Comment 1 Braden McDaniel 2012-06-13 02:25:01 EDT
Okay... So, technically it doesn't hang: after *nearly an hour*, it throws up an error dialog that says "Failed to add new printer."  And this is printed to the console:

(gnome-control-center:21322): printers-cc-panel-WARNING **: Timeout was reached

(gnome-control-center:21322): printers-cc-panel-WARNING **: GDBus.Error:org.opensuse.CupsPkHelper.Mechanism.NotPrivileged: Not Authorized for action: org.opensuse.cupspkhelper.mechanism.printer-remote-edit
Comment 2 Tim Jowers 2012-08-22 09:03:25 EDT
Yes, error message comes fairly quickly and has "Failed to add new printer." Work around is to add the printer with IPP. Searching in Systems Tools->System Settings->Printers does not work well. IPP search does not work automagically as it has in the past. Selecting the "Network" radio button and entering the IP into the address field and then changing focus elsewhere does result in the printer being shown. But selecting it and selecting "Add" does cause failure to add. Perhaps becasue the server is Fedora 14. But IPP printer add to this printer have always worked before from fedora and ubuntu.
Workaround:
Go to IPP for the laptop: localhost:631  (at 192.168.2.106)
Add a printer and choose IPP. Add the URL similar to ipp://192.168.0.110:631/printers/PSC-2170-Series. You can find the printer queue name with IPP on the server: http://192.168.0.110:631/printers/

UI  bugs: the buttons are not enabled properly. They remain in a "disabled" UI appearance (partially shaded or transparent) although they are ready to use and can be used. Happens in both error message dialog and in add printers flow.
Comment 3 Braden McDaniel 2012-08-22 09:51:09 EDT
(In reply to comment #2)
> Yes, error message comes fairly quickly and has "Failed to add new printer."

If the error message comes up quickly for you, then you are most likely seeing a different bug.
Comment 4 Braden McDaniel 2012-08-23 01:26:12 EDT
I'm no longer seeing this.

This time around I did see some dialogs about opening some ports in the firewall so that the printer could be detected.  Perhaps that was related.

Note You need to log in before you can comment on or make changes to this bug.